#!/bin/sh
#
# recfriio server から渡される環境変数
#
# SERVERURL  # webサーバ上での do-suspendphp までのパス ( 例 : http://localhot:80/recfriio/do-suspend.php )
#
# SUSPEND # サスペンド用コマンド
# SUSPENDOPT # サスペンドのオプション
# SUSPENDFILE # サスペンド状態ファイル
#
# WGET     # wget コマンド
# WGETOPT  # wget のオプション
#
# SLEEPSEC # サスペンドする前のsleep秒数

# スクリプトの PID を取得して recfriio server にサスペンド準備状態に入ったことを知らせる
PID=$$
GETURL="$SERVERURL?&pid=$PID&suspend=1"
$WGET $WGETOPT $GETURL > /dev/null 2>&1 &

sleep $SLEEPSEC

rm $SUSPENDFILE

$SUSPEND $SUSPENDOPT
